#
# spec file for package python-pygit2
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pygit2
Version:        0.16.1
Release:        0
Url:            http://github.com/dborowitz/pygit2
Summary:        Python bindings for libgit2
License:        Apache-2.0
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/p/pygit2/pygit2-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libgit2-devel
BuildRequires:  python-devel
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
BuildRequires:  openssl-devel
%else
BuildRequires:  libopenssl-devel
%endif
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%description
Bindings for libgit2, a linkable C library for the Git version-control system.

%prep
%setup -n pygit2-%{version}
# Adjust include/lib paths to local system
#sed -i 's|/usr/local/include|%%{_includedir}|' setup.py
#sed -i 's|/usr/local/lib|%%{_libdir}|' setup.py

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Testsuite is broken ATM.
#%%check
#python setup.py test

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitearch}/pygit2*

%changelog
